Problem with the Download of transformation map with Openhab 3.0.1

Hello,

I’d try to install of transformation map with Openhab 3.0.1 on yesterday, and now I get every minute the following error:

2021-06-20 19:40:46.898 [ERROR] [core.karaf.internal.FeatureInstaller] - Failed installing ‘openhab-transformation-map’: Error:
Error downloading mvn:org.openhab.addons.bundles/org.openhab.transform.map/3.0.1
Can you provide this file please?

Sincerely
:slight_smile: Jens Hirsch

Update at least to 3.0.2: openHAB 3.0.2 Patch Release and the Sunset of Bintray

Hallo,
thanks for the fast replys. I will try to change the download locations in the next days…
Jens

1 Like

Hello,
the change of the download repositories fails.
Please note: I’m not using Openhab 2.5.x, but 3.0.1.
The error is boot proof, after two restarts of Openhab the Error is also running every minute.

I’d switch off the log in the Karaf-Console:

log:set OFF org.openhab.core.karaf.internal.FeatureInstaller

so the logfiles will be clean.
But I’m affraid, the Error will stay to the new Version 3.1.0 ?
Generally it will be nice, when by default such Error gets an TimeOut after some time or after an reboot of OpenHab.
I’d try to install the extension with the Admin-Console in the Firefox-Browser, there the error was thrown.
In the Karaf-Console the installation fails only one time.

I will install OpenHab 3.1 after the release in best hope :slight_smile:

Sincerely
Jens

right. Have you read my post that links to update to 3.0.2 information ?

Yes, I do :slight_smile:
The problem with (minor) updates:
I’d install OpenHab 1.x ‘from scratch’, so I must manually install all extensions (GUI, Zwave, Astro, Xi…) after an update on a 2.x.x version. This is an “abendfüllendes Programm”.
And I’m carefully- my system should run without downtime. I don’t need any problems…

Then don’t make changes. It’s trite, but you can’t have it both ways.

The bug is fixed after the update of Openhab 3.1. :slightly_smiling_face: